API referenceAccount
POST /api/GetUsersByIds
An array of ids should be passed in the request body, and the API returns a list of Users that match the ids. In order to get all Users, pass an empty array.
POST
/api/GetUsersByIdscurl -X POST "/api/GetUsersByIds" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
1,
2,
3
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger[] | null
Response
application/json
A list of Users.
successbooleanrecordCountinteger<int32>dataAtlas.SDK.UserManagement.Models.ApplicationUserDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"displayName": "string",
"userName": "string",
"passwordHash": "string",
"docusignUserId": "string",
"email": "string",
"phoneNumber": "string",
"twoFactorActivated": true,
"isLocked": true,
"failedLogins": 0,
"passwordChangeDays": 0,
"locked": "2026-01-15T09:30:00Z",
"lastLogin": "2026-01-15T09:30:00Z",
"lastPasswordChange": "2026-01-15T09:30:00Z",
"modified": "2026-01-15T09:30:00Z",
"created": "2026-01-15T09:30:00Z",
"comments": "string",
"concurrentDeviceLimit": 0,
"isServiceAccount": true,
"userType": 1,
"userTypeName": "string",
"roles": [
{
"id": 0,
"name": "string",
"description": "string",
"isSystemic": true,
"entraId": "string"
}
],
"rolesString": "string"
}
]
}